Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: Juri Linkov <[email-masked]>
Date: Wed, 05 May 2021 00:33:04 +0300

>>  > Tried it, and no flashes anymore, thanks!
>
> Pushed now.  But I think that tab-bar.el should really refrain from
> updating the tab-bar-lines parameter from one positive value to another
> (I suppose `tab-bar--update-tab-bar-lines' does that).

It seems tab-bar.el already updates only between 0 and 1.

But even updating between 0 and 1 caused the problems.
We have bug#46557 created from https://debbugs.gnu.org/46299#119
I tried the test case from this bug report, and it doesn't fail anymore.
Do you think your patch fixed this old bug?